<!-- Auto-generated from JSON by GDScript docs maker. Do not edit this document directly. -->

# ESCController

## Method Descriptions

### perform\_walk

```gdscript
func perform_walk(moving_obj: ESCObject, destination, is_fast: bool = false)
```

### perform\_inputevent\_on\_object

```gdscript
func perform_inputevent_on_object(obj: ESCObject, event: InputEvent, default_action: bool = false)
```

